;;; eshell-conf.el --- config for eshell
;;; 
;;; commentary: 
;;; `eshell-here` splits the window & opens eshell in current dir.
;;; Def nicer than Windows' CMD
;;;
;;; code:

(defun eshell-here ()
  "Open eshell in the current directory"
  (interactive)
  (let ((my-dir default-directory))
    (split-window-sensibly)
    (other-window 1)
    (eshell)
    (insert (concat "cd '" my-dir "'"))
    (eshell-send-input)))

(use-package em-script)
(use-package eshell
  :bind (("C-c s" . eshell-here)
	 ("C-c S" . eshell)))

(use-package em-alias
  :config
  (eshell/alias  "e"  "eshell-source-file $1")
  (eshell/alias  "o"  "find-file $1")
  (eshell/alias  "oo" "find-file-other-window $1")
  (eshell/alias  "l"  "ls")
  (eshell/alias  "gitc" "git commit -m $1")
  (eshell/alias  "ll" "ls -l"))

(provide 'eshell-conf)
