;;; eww-conf.el --- web browser config
;;;
;;; commentary:
;;; i use eww sometimes to browse articles from rss.
;;;
;;; code:

(use-package eww
  :bind (("C-c w" . eww)
	 :map eww-mode-map
	 ("n" . shr-next-link)
	 ("p" . shr-previous-link)
	 ("u" . eww-back-url))
  :custom
  (browse-url-browser-function 'eww-browse-url) ; Use eww as default
  (shr-use-fonts t)				; Don't load fonts
  (shr-indentation 2)                           ; Left margin
  (shr-use-colors nil)				; Don't load colours
  (shr-width 70)                                ; Wrap at column 70
  (shr-bullet "• "))                            ; Fancier <li>
;; eww-search-prefix "https://wiby.me/?q="))     ; Use Wiby for search


(provide 'eww-conf)
;;; eww-conf.el ends here.
