;;; feed-conf.el --- rss feeds :D
;;;
;;; commentary:
;;; I tend to use elfeed for my RSS
;;; but i configure newsticker as well :3
;;;
;;; code:

;; I use this list of feeds for both newsticker and elfeed.
;; see docs/cookbook.org for a list of feeds im not watching rn.
(defvar my-feeds
  ;; me!
  '(("knit"             "https://tilde.green/~knit/rss.xml")
    ("faster than lime" "https://fasterthanli.me/index.xml")
    ("dthompson"      "https://dthompson.us/feed.xml")
    ("winglog"        "https://wingolog.org/feed/atom")
    ("Idiom"          "https://idiomdrottning.org/blog") 
    ("cwebber"        "https://dustycloud.org/blog/index.xml")
    ("LWN"            "https://lwn.net/headlines/newrss")
    ("Gemini"         "https://geminiprotocol.net/news/atom.xml")
    ("Planet Scheme"  "https://planet.scheme.org/atom.xml")
    ("lsmith"         "https://lukesmith.xyz/index.xml")
    ("Devault"        "https://drewdevault.com/blog/index.xml")
    ("Rust"           "https://blog.rust-lang.org/feed.xml")
    ("Planet GNU"     "https://planet.gnu.org/rss20.xml")
    ("Lowtech NL"     "https://solar.lowtechmagazine.com/nl/posts/index.xml")
    ("Lowtech EN"     "https://solar.lowtechmagazine.com/posts/index.xml")
    ("GNU Guile"      "https://www.gnu.org/software/guile/news/feed.xml")
    ("fractal kitty"  "https://fractalkitty.com/feed/")))

;; i can also view rss feeds in orgmode :3c
(use-package org
  :custom
  (org-feed-alist
   '(("emacswiki"
      "https://www.emacswiki.org/emacs?action=rss"
      "~/myfeed.org"
      "emacswiki2"))))

(use-package newsticker
  :bind (("C-c F" . 'newsticker-plainview))
  :custom
   (newsticker-download-logos nil)	; I don't need png logos
   (newsticker-date-format "(%m-%d)")
   (newsticker-statistics-format "")     ; i dont need this much clutter
   (newsticker-heading-format "")
   (newsticker-retrieval-interval 0)	; Dont fetch periodically
   (newsticker-wget-name "curl")
   (newsticker-url-list my-feeds))

(use-package elfeed
  :bind (("C-c f" . elfeed))
  :custom
  elfeed-feeds (mapcar 'cadr my-feeds))

(provide 'feed-conf)
;;; feed-conf.el ends here.
