;;; langs-conf.el --- language configs
;;;
;;; commentary:
;;; i use eglot, tree-sitter, and various programming environments.
;;; i may split this file into multiple sometime.  maybe in 'langs/'
;;;
;;; remember to use treesit-install-language-grammar
;;;
;;; code:

;; I use Tree-sitter and Eglot for most languages.
(use-package rust-ts-mode
  :mode ("\\.rs\\'" . rust-ts-mode)
  :hook (rust-ts-mode . eglot-ensure))

(use-package ruby-ts-mode
  :mode ("\\.rb\\'" . ruby-ts-mode)
  :hook (ruby-ts-mode . eglot-ensure))

(use-package clojure-ts-mode
  :defer t
  :ensure t
  :mode ("\\.clj\\'" . clojure-ts-mode)
  :hook (clojure-ts-mode . eglot-ensure))

;;(use-package eglot
;;  :config
;;  (setq eldoc-echo-area-prefer-doc-buffer t)
;;  :hook (eglot-mode . (lambda () (eglot-inlay-hints-mode nil)))
;;  )

;;; Lisp
(use-package paredit
  :ensure t
  :defer t
  :delight " p"
  :hook ((emacs-lisp-mode scheme-mode lisp-mode ilem-mode)
	 . enable-paredit-mode))

(use-package geiser
  :ensure :delight
  :custom
  (geiser-default-implementation "guile") ; for scm files
  (geiser-active-implementations '(guile)))

(use-package geiser-guile
  :ensure
  :bind (("C-c l" . geiser)))
(use-package geiser-mit :ensure)
(use-package sicp :ensure)

;; paren-face dims parenthesis a lil
(use-package paren-face
  :ensure t
  :defer t
  :hook scheme-mode
  :hook emacs-lisp-mode
  :hook lisp-mode)

(use-package eldoc :delight)

;;; PRETTIFY SYMBOLS MODE
;; i don't know how to elegantly do this lbkmkwkbjbmjxx

;;(add-hook 'prog-mode-hook (lambda ()
;; (setq prettify-symbols-alist
;;  (append prettify-symbols-alist
;;	  '(("lambda" . ?λ)
;;	    ("->"     . ?→)
;;	    ("map"    . ?↦)
;;	    ("/="     . ?≠)
;;	    ("!="     . ?≠)
;;	    ("=="     . ?≡)
;;	    ("<="     . ?≤)
;;	    (">="     . ?≥)
;;	    ("&&"     . ?∧)
;;	    ("||"     . ?∨)
;;	    ("sqrt"   . ?√)
;;	    ("..."    . ?…))))
;;	    (prettify-symbols-mode 1)))

;;(add-hook 'scheme-mode-hook
;;  (lambda ()
;;   (setq prettify-symbols-alist
;;    (append prettify-symbols-alist
;;       '(("and"    . ?∧)
;;	("or"     . ?∨)
;;	("nil"    . ?∅)
;;	("null"   . ?∅)
;;	("'()"    . ?∅)
;;	("not"    . ?¬))))
;;     (prettify-symbols-mode 1)))

(provide 'langs-conf)

;;; langs-conf.el ends here.
