;;; rmail-conf.el --- rmail email client configuration
;;;
;;; commentary:
;;; See docs/mail.org for notes on setup.
;;; i use mpop to receive mail & msmtp to send.
;;;
;;; code:

;; if i have mpop and smtp like a normal person
(setq
 message-send-mail-function 'message-send-mail-with-sendmail
 sendmail-program "/home/lin/.nix-profile/bin/msmtp")

(setq
 mail-personal-alias-file "~/.local/share/mail/alias"
 mail-default-headers     (concat "FCC: " my-sent-mail))

(defun rmail-my-mra ()
  "Check for new mail by calling mpop."
  (interactive)
  (shell-command "echo 'Checking mail...'")
  (shell-command "mpop --half-quiet")
  (rmail-summary))

;; Full mail imap:// URL is in ~/.mu-tickets
;; with the format   ;;PROTO://[USER:PASS@HOST:PORT
(use-package rmail-summary
  :bind (:map rmail-summary-mode-map
	      ("g" . rmail-my-mra)
	      ("C-o" . other-window)))

(use-package rmail
  :bind (("C-c m" . rmail)
	 :map rmail-mode-map
	 ("g"   . rmail-my-mra)
	 ("C-o" . other-window))
  :config
  (setq
   rmail-inbox-list       my-inboxes
   rmail-secondary-file-directory my-mbox-folder
   user-full-name         my-name
   user-mail-address      my-email
   smtpmail-smtp-server   my-smtp
   rmail-file-name        my-mbox
   rmail-default-file     my-mbox
   rmail-preserve-inbox   nil
   rmail-mime-prefer-html nil))

;; Decode RFC2047 encoded words on load.
(add-hook 'rmail-show-message-hook
	  (lambda ()
	    (rfc2047-decode-region
	     (point-min)
	     (point-max) t)))

(provide 'rmail-conf)
;;; rmail-conf.el ends here
